> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prediction traffic



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /model-monitor/v2/api/model/get-prediction-traffic
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/model/get-prediction-traffic:
    summary: Gets the model prediction traffic
    parameters:
      - in: query
        name: model_ids
        required: true
        schema:
          type: string
      - in: query
        name: start_date
        required: true
        schema:
          type: number
      - in: query
        name: end_date
        required: true
        schema:
          type: number
    get:
      tags:
        - Model Monitoring models
      operationId: getPredictionTraffic
      responses:
        '200':
          description: Gets the model prediction traffic
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_modelTrafficArray'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_modelTrafficArray:
      type: array
      items:
        $ref: '#/components/schemas/dmm-plier_modelTraffic'
    dmm-plier_modelTraffic:
      type: object
      required:
        - modelId
        - traffic
      properties:
        traffic:
          title: Model traffic data
          description: A list that contains the traffic data for model.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_dataTraffic'
        modelId:
          title: Model id
          description: The model id.
          type: string
          example: 60116865cd9ab24dd866cfc6
    dmm-plier_dataTraffic:
      type: object
      required:
        - queries
        - date
      properties:
        queries:
          type: number
        date:
          type: integer
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Get ground truth traffic](/api-reference/model-monitoring-models/get-model-monitorv2apimodel-trafficground-truth.md)
- [Get the existing user setting for the given user.](/api-reference/model-monitoring-settings/get-the-existing-user-setting-for-the-given-user.md)
- [Health dashboard](/cloud/platform-capabilities/features/monitoring/7-monitor-settings/2-health.md)
- [Get summary for workbench model versions](/api-reference/model-monitoring-models/get-summary-for-workbench-model-versions.md)
